PUT /api/v3/admin/accounting

Edit accounting settings

EditAccountingSettingsV3 Permissions: AccountingSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

AccountingSettingsRequest
Property Description Type
accountPeriods List of accounting period names Required (defined) AccountPeriodRequest[]
AccountPeriodRequest properties
Property Description Type
name The name of the period Max length of 32 Required (defined) string
periodNumber The period number When submitted with a list of other account periods, there cannot be more than one account period with the same periodNumber Must be between 1 and 12 Required (defined) integer (int32)
calendarizationMethod Calendarization method Value will be one of “monthly”, “user-defined” One of ‘monthly’, ‘user-defined’ Case sensitive Required (defined) string
fiscalYearDefinedAtYear Fiscal year reflects the calendar year in which it Begins or Ends One of ‘beginning’, ’ending’ Case sensitive Required (defined) string
fiscalYearStartMonth First month of fiscal year Must be between 1 and 12 Required (defined) integer (int32)
Example Request Body application/json
{  "accountPeriods": [
    {    "name": "string",    "periodNumber": 1
  }
  ],  "calendarizationMethod": "string",  "fiscalYearDefinedAtYear": "string",  "fiscalYearStartMonth": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AccountingSettingsResponse
Property Description Type
accountPeriods List of accounting period names AccountPeriodResponse[]
AccountPeriodResponse properties
Property Description Type
accountPeriodId The account period identifier integer (int32)
name The name of the period string
periodNumber The period number integer (int32)
calendarizationMethod Calendarization method Value will be one of “monthly”, “user-defined” string
fiscalYearDefinedAtYear Fiscal year reflects the calendar year in which it Begins or Ends Value will be one of “beginning”, “ending” string
fiscalYearStartMonth First month of fiscal year Value will be from 1-12 integer (int32)
Example Response application/json
{  "accountPeriods": [
    {    "accountPeriodId": 1,    "name": "string",    "periodNumber": 1
  }
  ],  "calendarizationMethod": "string",  "fiscalYearDefinedAtYear": "string",  "fiscalYearStartMonth": 1
}